cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Berin Loritsch <blorit...@apache.org>
Subject Re: Presenting the Proxy Based DataSource
Date Wed, 05 Mar 2003 15:20:36 GMT
Sylvain Wallez wrote:
> Berin Loritsch wrote:
> 
>> Please cross check this version of the Excalibur DataSource, and see
>> if it works just as well as the old version.  If so, I will commit
>> my changes and we will all be happier.
>>
>> Of particular interest:
>>
>> This was compiled on JDK 1.4, please make sure it works with JDK 1.3.
>>
>> I want to get away from the need to work around the two jars depending
>> on JDBC 2.0/3.0 version.
> 
> 
> 
> Just some thoughts : AFAIK, we need JDBC wrappers to redefine methods 
> that are common to both JDBC 2 and 3, and we left untouched JDBC 3 method.
> 
> So, can't a simple solution be an abstract JDBC wrapper that implements 
> all of JDBC3 and which is required (through its build.xml) to be 
> compiled with a JDK 1.4 ?
> 
> A JDK 1.3 should not complain about unkown methods as long as they're 
> not used, allowing us to write concrete wrappers that would work equally 
> well in 1.3 and 1.4.

That's what we tried to do, and it did not work.

What methods actually have to be overridden?


Mime
View raw message